> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Invitations



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/invitations
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/invitations:
    post:
      tags:
        - Invitations
      summary: Create Invitations
      operationId: InvitationsController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInvitationDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitationBatchResponseDto'
components:
  schemas:
    CreateInvitationDto:
      type: object
      properties:
        emails:
          minItems: 1
          maxItems: 50
          type: array
          items:
            type: string
        governanceLevel:
          type: string
          enum:
            - member
            - admin
        inviteeName:
          type: string
          maxLength: 100
        memberTags:
          maxItems: 10
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 60
        licenseIds:
          maxItems: 10
          type: array
          items:
            type: string
            pattern: ^\d+$
        teamIds:
          maxItems: 50
          type: array
          items:
            type: string
            pattern: ^\d+$
        roleId:
          type: string
      required:
        - emails
      additionalProperties: false
    InvitationBatchResponseDto:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/InvitationBatchItemDto'
      required:
        - results
    InvitationBatchItemDto:
      type: object
      properties:
        email:
          type: string
        success:
          type: boolean
        error:
          type: string
          nullable: true
        invitation:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/InvitationResponseDto'
      required:
        - email
        - success
        - error
        - invitation
    InvitationResponseDto:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        email:
          type: string
        invitedById:
          type: string
        invitedByUserId:
          type: string
          nullable: true
        invitedByAdminId:
          type: string
          nullable: true
        governanceLevel:
          enum:
            - admin
            - member
          type: string
        memberTags:
          type: array
          items:
            type: string
        inviteeName:
          type: string
          nullable: true
        status:
          enum:
            - pending
            - revoked
            - accepted
            - expired
          type: string
        expiresAt:
          type: string
        acceptedAt:
          type: string
          nullable: true
        createdAt:
          type: string
        offeredLicenses:
          type: array
          items:
            $ref: '#/components/schemas/InvitationOfferedLicenseDto'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/InvitationTeamDto'
        projectedSeats:
          type: array
          items:
            $ref: '#/components/schemas/InvitationOfferedLicenseDto'
      required:
        - id
        - workspaceId
        - email
        - invitedById
        - invitedByUserId
        - invitedByAdminId
        - governanceLevel
        - memberTags
        - inviteeName
        - status
        - expiresAt
        - acceptedAt
        - createdAt
        - offeredLicenses
        - teams
        - projectedSeats
    InvitationOfferedLicenseDto:
      type: object
      properties:
        licenseId:
          type: string
        packageKey:
          type: string
        displayName:
          type: string
      required:
        - licenseId
        - packageKey
        - displayName
    InvitationTeamDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name

````